<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/calification.js");
</script>

<div class="page-title">
    <div class="title_left">
        <h3>Listado de puntos de calificación</h3>
    </div>
</div>

<div class="clearfix"></div>

<div class="row">

    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">

                <div class="well" style="overflow: auto">
                    <div class="col-md-12">
<!--                        <input type="text" th:value="${q}" placeholder="Buscar..." name="q" id="q"/>-->
                        Registros:
                        <select name="size" id="size">
                            <option th:selected="${size == null || (size != null && size == '20')}" value="20">20</option>
                            <option th:selected="${size != null && size == '50'}" value="50">50</option>
                            <option th:selected="${size != null && size == '100'}" value="100">100</option>
                            <option th:selected="${size != null && size == '500'}" value="500">500</option>
                            <option th:selected="${size != null && size == '1000'}" value="1000">1000</option>
                        </select>
<!--                        Tipo:
                        <select name="type" id="type">
                            <option value="all">Todos</option>
                            <option th:selected="${type == 'kit'}" value="kit">Kits</option>
                            <option th:selected="${type == 'product'}" value="product">Productos</option>
                            <option th:selected="${type == 'service'}" value="service">Servicios</option>
                            <option th:selected="${type == 'upgrade'}" value="upgrade">Upgrades</option>
                            <option th:selected="${type == 'store'}" value="store">Store</option>
                        </select>-->
                        Desde:
                        <input type="date" th:value="${from}" placeholder="Desde" name="from" id="from"/>
                        Hasta:
                        <input type="date" th:value="${to}" placeholder="Hasta" name="to" id="to"/>

                        <button class="btn btn-info btn-sm" id="search-button"><i class="fa fa-search"></i> Buscar</button>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>

            <div>
                <div class="table-responsive-tall">
                    <table class="table table-condensed table-striped jambo_table">
                        <thead>
                            <tr class="headings">
                                <th th:text="#{bonus.date}">Fecha</th>
                                <th th:text="#{bonus.username}">Afiliado</th>
                                <th th:text="#{bonus.points}">Puntos</th>
                                <th th:text="#{bonus.comment}">Descripcion</th>
                                <th th:text="#{bonus.event}">Evento</th>
                                <th th:text="#{bonus.type}">Tipo</th>
                                <th th:text="#{bonus.memberType}">Tipo</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="item : ${page.content}">
                                <td th:text="${#dates.format(item.date, 'dd/MM/yyyy HH:mm:ss')}"></td>                                
                                <td th:text="${item.member}"></td>
                                <td th:text="${item.points}"></td>
                                <td th:text="${item.description}"></td>
                                <td th:text="${item.eventId}"></td>
                                <td th:text="${item.type}"></td>
                                <td th:text="#{${item.memberType}}"></td>
                            </tr>
                        </tbody>
                    </table>
                </div>

            </div>



        </div>
        <div th:replace="frags/pagination :: paginationbar"></div>
    </div>

</div>

